import { IHttpClientGetOptions } from "./BrowserHttpClient/BrowserHttpClientDto";
/**
 * 浏览器端的httpClient，支持proxy
 */
export declare class BrowserHttpClient {
    static put(url: string, formData?: any): Promise<any>;
    static delete(url: string, formData?: any): Promise<any>;
    /**
     * Post用这种方法，主要是提交json数据。但是对于非json数据的文件上传，还需要编写upload方法，以便支持流式上传
     * @param url
     * @param formData
     */
    static post(url: any, formData?: any): Promise<any>;
    static getByURI(uri: string, query: any): Promise<any>;
    static get(url: string, options?: IHttpClientGetOptions): Promise<any>;
    /**
     * 将url获取前面path和host部分
     */
    static getURL(): void;
    /**
     * 将url解析成querystring
     */
    static getQuery(url: string): void;
    /**
     * 将cookies解析成cookies
     */
    static getCookiesByString(cookie: string): void;
    private static getXMLHttpRequest(url);
    private static getProxyURL(url, options?);
}
