/// <reference types="node" />
import { IHttpClientOptions } from "./HttpClient/HttpClientDto";
/**
 * node端的网络模块，可以用来下载网页或下载json数据等
 * 为断点的方式下载，但是不支持续传。后面可以增加续传功能结合redis
 */
export declare class HttpClient {
    /**
     * 获取网络的json数据
     * @param url
     */
    static getJSON(url: string): Promise<any>;
    static postLocalServer(path: string, formData?: any): Promise<any>;
    static postRemoteLarkServer(path: string, formData?: any): Promise<any>;
    /**
     * post数据
     */
    static post(url: string, formData?: any, format?: "text" | "json" | "jsonp"): Promise<any>;
    /**
     * 获取网页的buffer数据，支持对Gzip解压的解析
     * @param url
     * @param options
     */
    static get(url: string, options?: IHttpClientOptions): Promise<Buffer>;
}
