import { Controller } from "../Controller";
export declare class PageController extends Controller {
    static cdn: string;
    static cdnServer: string;
    static envName: any;
    static startupDate: any;
    static getCDN(): string;
    static setCDNServer(server: string): void;
    static getCDNServer(): string;
    static getStaticURL(): string;
    /**
     * @deprecated 内部的方法，请不要手动调用
     * @param cdn
     */
    static setCDN(cdn: string): void;
    title: any;
    script: string[];
    style: string[];
    headScript: any[];
    meta: any[];
    link: any[];
    private props;
    private data;
    initPageController(): void;
    /**
     * 设置网页标题
     * @param title 网页标题
     */
    setTitle(title: string): void;
    /**
     * 添加meta
     * @param meta
     */
    addMeta(meta: any): void;
    /**
     * 添加link
     * @param link
     */
    addLink(link: any): void;
    /**
     * 设置setViewPort
     * @param content 可不填写，默认为"width=device-width, initial-scale=1, maximum-scale=1"
     */
    setViewPort(content?: string): void;
    /**
     * 设置控制器使用的用于渲染Page组件的属性
     * @param {object} data 用于渲染Page组件的属性
     * @return {Controller} 返回实例化后的控制器对象
     */
    setData(data: any): this;
    /**
     * 配置当前控制器使用的脚本
     * @param {string[]} script 配置当前控制器使用的脚本
     */
    setScript(script: string[]): void;
    /**
     * 获得当前设置的控制器数据
     * @return {object} 控制器的数据 default {}
     */
    getData(): {};
    /**
     * 设置页面的属性
     */
    setProps(props: any): this;
    /**
     * 获得页面的属性
     */
    getProps(): {};
    /**
     * 给页面添加脚本
     * 如果第二个参数为true，则意味着不使用cdn，直接使用第一个参数作为地址
     * @param script 需要加载的脚本的URI
     * @param local 是否为站内脚本
     */
    addScript(href: string, remote?: boolean): this;
    /**
     * @param script 需要加载的脚本的URI
     * @param local 是否为站内脚本
     */
    addHeadScript(href: string, remote?: boolean): this;
    /**
     * 给页面添加样式
     */
    addStyle(href: string, remote?: boolean): this;
    /**
     * 渲染页面
     */
    render(view?: string, data?: any, option?: {}): void;
    getScriptDom(): any[];
    getLinkDom(): any[];
    getMetaDom(): string[];
}
